#include "test.h"

#include "constants.h"

TEST_CASE("lower already") {
	CHECK(G::to_lower("") == "");
	CHECK(G::to_lower("a") == "a");
	CHECK(G::to_lower("abc") == "abc");
}

TEST_CASE("all upper") {
	CHECK(G::to_lower("A") == "a");
	CHECK(G::to_lower("ABC") == "abc");
}

TEST_CASE("some upper") {
	CHECK(G::to_lower("Ab") == "ab");
	CHECK(G::to_lower("aB") == "ab");
	CHECK(G::to_lower("AbC") == "abc");
	CHECK(G::to_lower("abC") == "abc");
	CHECK(G::to_lower("Abc") == "abc");
	CHECK(G::to_lower("aBc") == "abc");
}

